Package weka.associations

# Interface Associator

All Known Implementing Classes:
  `AbstractAssociator`, `Apriori`, `FilteredAssociator`, `FPGrowth`, `GeneralizedSequentialPatterns`, `PredictiveApriori`, `SingleAssociatorEnhancer`, `Tertius`

public interface Associator

## Method Summary

Modifier and Type
Method
Description
`void`
`buildAssociations(Instances data)`
Generates an associator.
`Capabilities`
`getCapabilities()`
Returns the Capabilities of this associator.

## Method Details

### buildAssociations

void buildAssociations(Instances data) throws Exception
Generates an associator. Must initialize all fields of the associator that are not being set via options (ie. multiple calls of buildAssociator must always lead to the same result). Must not change the dataset in any way.

Parameters:
  `data` - set of instances serving as training data
Throws:
  `Exception` - if the associator has not been generated successfully

### getCapabilities

Capabilities getCapabilities()
Returns the Capabilities of this associator. Derived associators have to override this method to enable capabilities.

Returns:
  the capabilities of this object
See Also:
  - `Capabilities`